﻿@*@model VennDataModel
@{
    ViewData["Title"] = "Venn";
}
@section Head
{
    <style>

        body {
            font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
            font-size: 14px;
        }
    </style>
}

<div id="venn"></div>

@section Scripts
{
    <script src="https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.5/d3.min.js"></script>
    <script src="https://cdn.rawgit.com/benfred/venn.js/master/venn.js"></script>
    <script>
        // define sets and set set intersections
        var sets = @Html.Raw(Model.ToJson())

        var chart = venn.VennDiagram();
        d3.select("#venn").datum(sets).call(chart);
    </script>

}*@